version command fixed
[rainbowstream.git] / rainbowstream / rainbow.py
index bb34bdb..465299f 100644 (file)
@@ -189,12 +189,12 @@ def upgrade_center():
             notice += light_yellow(current) + '\n'
             notice += light_magenta('You should upgrade with ')
             notice += light_green('pip install -U rainbowstream')
-            printNicely(notice)
         else:
             notice = light_yellow('You are running latest version (')
             notice += light_green(current)
             notice += light_yellow(')')
             notice += '\n'
+        printNicely(notice)
     except:
         pass
 
@@ -239,11 +239,8 @@ def init(args):
     c['message_dict'] = []
     # Image on term
     c['IMAGE_ON_TERM'] = args.image_on_term
-    set_config('IMAGE_ON_TERM', str(c['IMAGE_ON_TERM']))
     # Use 24 bit color
     c['24BIT'] = args.color_24bit
-    # Resize images based on the current terminal size
-    set_config('IMAGE_RESIZE_TO_FIT', str(c.get('IMAGE_RESIZE_TO_FIT', False)))
     # Check type of ONLY_LIST and IGNORE_LIST
     if not isinstance(c['ONLY_LIST'], list):
         printNicely(red('ONLY_LIST is not a valid list value.'))